#
# spec file for package python-dotmap
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-dotmap
Version:        1.3.30
Release:        2.1
Summary:        Python ordered, dynamically-expandable dot-access dictionary
License:        MIT
URL:            https://github.com/drgrib/dotmap
Source:         https://files.pythonhosted.org/packages/source/d/dotmap/dotmap-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python ordered, dynamically-expandable dot-access dictionary.

%prep
%setup -q -n dotmap-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v dotmap.test

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/dotmap
%{python_sitelib}/dotmap-%{version}*-info

%changelog
* Mon May 26 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Tue Sep 27 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- update to 1.3.30
  * apply _key_convert_hook to nested fields (#90)
  * add key convert hook (#89)
  * Revert "fix issue #85 (#86)" (#88)
  * Fix indent (#87)
  * fix issue #85 (#86)
  * fix issue #85
    Handle keys with dashes/dots by replacing them with underlines
  * fix typo
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 1.3.26:
  * no changelog findable
* Thu Sep  9 2021 Matej Cepl <mcepl@suse.com>
- Replace python setup.py test with running unittest runner directly.
* Fri Sep  3 2021 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 1.3.24
  * Include license metadata in setup.py (#79)
  * drop 2.7 support
  * ignore ds store
  * drop python 2.7 test support
  * update pytest
  * Donate link for those interested
- from version 1.2.23
  * fix for circular references in __init__ (#71)
* Thu Oct 22 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.3.22:
  * No changelog
* Tue Jun 16 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 1.3.17:
  * No changelog
* Mon Apr 13 2020 John Vandenberg <jayvdb@gmail.com>
- Remove unnecessary dependency devel and supply license
- Update to v1.3.13
* Mon Jan 21 2019 Todd R <toddrme2178@gmail.com>
- Initial version 1.3.4
